CoCoALib - Feature #124

change long args in matrices into Machinelnt (?)
04 Apr 2012 15:20 - Anna Maria Bigatti

Status: Rejected Start date: 04 Apr 2012
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: Safety Estimated time: 0.00 hour
Target version: CoCoALib-0.9953 Spent time: 0.50 hour
Description

For "public" functions (not member functions) like

void SetEntry (MatrixView& M, long i, long j, const BigInté& N)

should we have instead

voild SetEntry (MatrixViewé& M, MachineInt i, MachineInt j, const BigInté& N)

?

Related issues:

Related to CoCoALib - Bug #89: Machinelnt or long as fn arg type for indices Closed 09 Feb 2012
Related to CoCoALib - Design #925: Machinelnt or long for args which are indi... In Progress 20 Sep 2016
History

#1 - 05 Apr 2012 14:12 - John Abbott

The args being considered are "indices"; we should be consistent regarding all sorts of index (well, at least non-negative index).
Here are some examples:

® matrix row/column

¢ indet in a PolyRing or PPMonoid

e component in a module

e argument to operator] in any context (??)

Even though the permitted values may often be non-negative, we should not use any unsigned integral type.

#2 - 30 May 2013 15:55 - John Abbott
- Category set to Safety

- Status changed from New to Rejected
- Assignee set to John Abbott

- Target version set to CoCoALib-0.9953
- % Done changed from 0 to 100

| am rejecting this task since it is effectively covered by #89 which deals with indices in general; and it seems simplest to regard matrix row/col indices
as a specific case of general indices. | believe it would be odd to handle matrix indices differently from other ones.
https://cocoa.dima.unige.it/redmine/issues/89

#3 - 20 Sep 2016 18:59 - John Abbott
- Related to Design #925: Machinelnt or long for args which are indices (yet again) added
